
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Activity启动模式详解(三)---&amp;gt;singleInstance / iVAN</title>

    <meta name="description" content="Activity启动模式详解(三)---&amp;gt;singleInstance 以下为第一App MainActivity如下: package cc.testlaunchmode3; import android.os.Bundle; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.TextView; import android.app.Activity; import andro">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Activity启动模式详解(三)---&amp;gt;singleInstance</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>以下为第一App</p>
<p>MainActivity如下:</p>
<pre>package cc.testlaunchmode3;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.app.Activity;
import android.content.Intent;
/**
 * Demo描述:
 * Activity加载模式详解
 * 在该Demo中主要讨论singleInstance
 *
 * 技术描述:
 * Activity有四种加载模式--&gt;
 * 1 standard: 标准(默认)模式
 *   当通过这种模式来启动Activity时,Android总会为目标
 *   Activity创建一个新的实例,并将该Activity添加到当前
 *   Task栈中.注意,这种方式不会启动新的Task,只是将新的
 *   Activity添加到原有的Task
 *
 * 2 singleTop: Task顶单例模式
 *   该模式和standard模式基本一致,但有一点不同:当将要被
 *   启动的Activity已经位于Task栈顶时,系统不会重新创建
 *   目标Activity实例,而是直接复用Task栈顶的Activity
 *
 * 3 singleTask: Task内单例模式
 *   采用该加载模式时,Activity在同一个Task内只有一个实例.
 *   当系统采用singleTask模式加载Activity时,又分为以下
 *   三种情况:
 *   (1)如果将要启动的Activity不存在,那么系统将会创建该
 *      实例,并将其加入Task栈顶
 *   (2)如果将要启动的Activity已存在,且存在栈顶,那么此时
 *      与singleTop模式的行为相同
 *   (3)如果将要启动的Activity存在但是没有位于栈顶,那么
 *      此时系统会把位于该Activity上面的所有其他Activity
 *      全部移出Task,从而使得该目标Activity位于栈顶
 *
 * 4 singleInstance: 全局单例模式
 *   在此种加载模式下,无论从哪个Task中启动目标Activity,只会
 *   创建一个目标Activity实例且会用一个全新的Task栈来装载该
 *   Activity实例.
 *   当系统采用singleInstance模式加载Activity时,又分为以下
 *   两种情况:
 *   (1)如果将要启动的Activity不存在,那么系统将会先创建一个
 *      全新的Task,再创建目标Activity实例并将该Activity实例
 *      放入此全新的Task中
 *   (2)如果将要启动的Activity已存在,那么无论它位于哪个应用
 *      程序,哪个Task中;系统都会把该Activity所在的Task转到
 *      前台,从而使该Activity显示出来
 *
 * Android对于Activity的管理方式--&gt;
 *   Android采用Task来管理多个Activity.
 *   当启动一个APP时,Android就会为之创建一个Task
 *   然后启动这个应用的入口Activity.
 *   但是Android并没有为Task提供API,开发者无法真正
 *   地访问Task,只能调用Activity的getTaskId()方法来
 *   获取其所在的Task的ID.事实上,我们可以把Task理解成
 *   Activity栈,Task以栈的形式来管理Activity:将不断启
 *   动的Activity压入栈.即:先启动的Activity被放入栈底,
 *   后启动的Activity放在Task栈顶
 *
 * 测试步骤及解释:
 * 1 进入MainActivity,点击按钮进入AnotherActivity.
 * 2 此时在AnotherActivity界面.此时统将会先创建一个
 *   全新的Task,再创建目标AnotherActivity实例并将
 *   该AnotherActivity实例放入此全新的Task中.请留言
 *   此时得到的TaskID
 * 3 按下Home键
 * 4 运行TestLaunchMode4.在其界面中点击按钮,会启动
 *   TestLaunchMode3中的AnotherActivity.此时会显示
 *   AnotherActivity并且其TaskID没有变化.
 *
 *
 * 备注说明:
 * 注意配置文件
 * android:name="cc.testlaunchmode3.MainActivity"
 * android:launchMode="standard"
 * ...............................................
 * &lt;activity
 *      android:name="cc.testlaunchmode3.AnotherActivity"
 *      android:launchMode="singleInstance"
 *      android:exported="true"&gt;
 *         &lt;intent-filter &gt;
 *            &lt;action android:name="cc.testlaunchmode3.AnotherActivity_action"/&gt;
 *            &lt;category android:name="android.intent.category.DEFAULT"/&gt;
 *          &lt;/intent-filter&gt;
 * &lt;/activity&gt;
 *
 * 参考资料:
 * Android疯狂讲义(第二版)
 * Thank you very much
 */
public class MainActivity extends Activity {
	private Button mButton;
    private TextView mTextView;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		init();
	}

	private void init(){
		mTextView=(TextView) findViewById(R.id.textView);
		mTextView.setText("当前Activity:"+"\n"+this.toString()+"\n"+"当前TaskId:"+this.getTaskId());
		mButton=(Button) findViewById(R.id.button);
		mButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View view) {
				Intent intent=new Intent(MainActivity.this, AnotherActivity.class);
				startActivity(intent);
			}
		});
	}

}
</pre>
<p>AnotherActivity如下:</p>
<pre>package cc.testlaunchmode3;

import android.os.Bundle;
import android.widget.TextView;
import android.app.Activity;

public class AnotherActivity extends Activity {
    private TextView mTextView;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.another);
		init();
	}

	private void init(){
		mTextView=(TextView) findViewById(R.id.textView);
		mTextView.setText("当前Activity:"+"\n"+this.toString()+"\n"+"当前TaskId:"+this.getTaskId());
	}
}
</pre>
<p>main.mxl如下:</p>
<pre>&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
   &gt;

    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Activity加载模式详解"
        android:layout_centerHorizontal="true"
    /&gt;

    &lt;Button
        android:id="@+id/button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="以singleInstance方式启动AnotherActivity"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="100dip"
        /&gt;

    &lt;TextView
        android:id="@+id/textView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
     /&gt;

&lt;/RelativeLayout&gt;</pre>
<p>another.xml如下:</p>
<pre>&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
   &gt;

    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Activity加载模式详解"
        android:layout_centerHorizontal="true"
    /&gt;

    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="该Activity加载方式为singleInstance"
        android:layout_centerHorizontal="true"
        android:textSize="20sp"
        android:layout_marginTop="80dip"
    /&gt;

    &lt;TextView
        android:id="@+id/textView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
     /&gt;

&lt;/RelativeLayout&gt;</pre>
<p>AndroidManifest.xml如下:</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cc.testlaunchmode3"
    android:versionCode="1"
    android:versionName="1.0" &gt;

    &lt;uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="14" /&gt;

    &lt;application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" &gt;
        &lt;activity
            android:name="cc.testlaunchmode3.MainActivity"
            android:launchMode="standard"
            android:label="@string/app_name" &gt;
            &lt;intent-filter&gt;
                &lt;action android:name="android.intent.action.MAIN" /&gt;

                &lt;category android:name="android.intent.category.LAUNCHER" /&gt;
            &lt;/intent-filter&gt;
        &lt;/activity&gt;

        &lt;activity
            android:name="cc.testlaunchmode3.AnotherActivity"
            android:launchMode="singleInstance"
            android:exported="true"&gt;
            &lt;intent-filter &gt;
                &lt;action android:name="cc.testlaunchmode3.AnotherActivity_action"/&gt;
                &lt;category android:name="android.intent.category.DEFAULT"/&gt;
            &lt;/intent-filter&gt;
         &lt;/activity&gt;
    &lt;/application&gt;

&lt;/manifest&gt;</pre>
<p> </p>
<p> </p>
<p>以下为第二个App</p>
<p>MainActivity如下:</p>
<pre>package cc.testlaunchmode4;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.app.Activity;
import android.content.Intent;

public class MainActivity extends Activity {
	private Button mButton;
    private TextView mTextView;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		init();
	}

	private void init(){
		mTextView=(TextView) findViewById(R.id.textView);
		mTextView.setText("当前Activity:"+"\n"+this.toString()+"\n"+"当前TaskId:"+this.getTaskId());
		mButton=(Button) findViewById(R.id.button);
		mButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View view) {
				Intent intent=new Intent();
				intent.setAction("cc.testlaunchmode3.AnotherActivity_action");
				startActivity(intent);
			}
		});
	}

}
</pre>
<p>main.xml如下:</p>
<pre>&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
   &gt;

    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Activity加载模式详解"
        android:layout_centerHorizontal="true"
    /&gt;

    &lt;Button
        android:id="@+id/button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="以singleInstance方式启动其他应用中的AnotherActivity"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="100dip"
        /&gt;

    &lt;TextView
        android:id="@+id/textView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
     /&gt;

&lt;/RelativeLayout&gt;</pre>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 18:53:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Activity启动模式详解(三)---&amp;gt;singleInstance的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7nmkM.html" rel="bookmark">Activity启动模式详解&lpar;一&rpar;---&amp;amp&semi;gt&semi;standard和singleTop</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MainActivity如下: package cc.testlaunchmode1; import android.os.Bundle; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.TextView; import android.app.Activity; import android.conten			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDe6Wrb.html" rel="bookmark">Activity启动模式详解&lpar;二&rpar;---&amp;amp&semi;gt&semi;singleTask</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MainActivity如下: package cc.testlaunchmode2; import android.os.Bundle; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.TextView; import android.app.Activity; import android.conten			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RlPvb.html" rel="bookmark">&lbrack;Android&rsqb;Android Activity 启动模式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一句话区别:standard,需要即new对象,不管对象是否存在,single模式可以复用对象.运行模式与线程和 进程均没有什么关系,与使用场景有关系.   最近有群里的朋友问我 Activity的四种启动模式分别是什么意思? 当初因为项目比较忙,草草的解释了下, Api文档中说的也只是一般,在这里就小记一下吧,以便有更多的朋友对Activity启动模式了解深刻一点.度娘的时候 就可以找得到不需要在 问人了.如果不了解的话,简单的几句也说不清晰.     Activity 四种启动模式,分别为:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lvnxb.html" rel="bookmark">Android中Activity启动模式详解，可以控制程序按home键后进来还会调用一个自己不喜欢的界面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其实这是很简单的一个问题.但是这还是要对android中activity的启动模式有相当的理解才行,当点击home键的时候,懂Android的人都知道,他会把当前activity放到后退栈中, 栈(Stack)又称堆栈,它是一种运算受限的线性表,其限制是仅允许在表的一端进行插入和删除运算.人们把此端称为栈顶,栈顶的第一个元素被称为栈顶元素,相对地,把另一端称为栈底.向一个栈插入新元素又称为进栈或入栈,它是把该元素放到栈顶元素的上面,使之成为新的栈顶元素:从一个栈删除元素又称为出栈或退栈,它是把栈			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q89Dp.html" rel="bookmark">Android中Activity生命周期和启动模式详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Activity生命周期经典图解: 按键对生命周期的影响: BACK键: 当我们按BACK键时,我们这个应用程序将结束,这时候我们将先后调用onPause()-&gt;onStop()-&gt;onDestory()三个方法. 再次启动App时,会执行onCreate()-&gt;onStart()-&gt;onResume() HOME键: 当我们打开应用程序时,比如浏览器,我正在浏览NBA新闻,看到一半时,我突然想听歌,这时候我们会选择按HOME键,然后去打开音乐应用程序,而当我们按HOME的时候,A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojQdgz.html" rel="bookmark">Android中Activity生命周期和启动模式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Activity生命周期经典图解: 按键对生命周期的影响: BACK键: 当我们按BACK键时,我们这个应用程序将结束,这时候我们将先后调用onPause()-&gt;onStop()-&gt;onDestory()三个方法. 再次启动App时,会执行onCreate()-&gt;onStart()-&gt;onResume() HOME键: 当我们打开应用程序时,比如浏览器,我正在浏览NBA新闻,看到一半时,我突然想听歌,这时候我们会选择按HOME键,然后去打开音乐应用程序,而当我们按HOME的时候,A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxLe2b.html" rel="bookmark">Windows XP系统八种启动模式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在系统启动Windows XP时按F8键,屏幕上就会显示Windows XP启动的高级选项菜单,通过这些选项可选择不同的模式启动Windows XP.下面将这些选项的含义介绍给大家. 1．安全模式:选用安全模式启动Windows XP时,系统只调用一些最基本的文件和驱动程序,只使用少量设备,且不加载启动组中的任何内容:启动后不能与网络接通,许多设备也不能正常使用(Windows XP的安全模式下可以使用光驱).这种模式有助于诊断系统产生的问题所在,如果新添加的设备或对驱动程序进行更改后系统有问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeLEOp.html" rel="bookmark">CSS盒子模式详解三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家好,我是float,欢迎访问CSS家族,在CSS家族中,在当今CSS排版流行的年代,我可扮演着重要的角色哦.因为我的工作对网页设计人员很有用,就像之前align帮助你们定位网页元素一样重要,但是我的功能似乎比align强多了.接下来我将现场给你演示我的绝活,看细心点哦.当然也许我一下子不能把我所有的技巧给大家演示,因为有些技巧本人也许一下子记不起来了,那就请那些对我比较了解的人来帮我补充补充啰,比如版主等等啊. 先讲一下我主要的工作,我主要是帮助对像在网页中对齐的,一旦我发出float:le			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJB2Ab.html" rel="bookmark">Android Activity启动模式之standard实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android Activity启动模式之standard.分享给大家供大家参考,具体如下: Android的活动是通过任务Task来进行管理的,一个任务就是一组放在栈里的活动的集合,即所谓的返回栈(Back Stack).栈具有先进后出.后进先出的特性.当启动一个活动时,活动会在返回栈中入栈,处于栈顶位置,当按下返回键或者调用finish方法会销毁一个活动,此时栈顶活动会出栈,届时又会有新的活动处于栈顶位置. 在Android中,活动的启动模式有四种,根据不同的需求可以为活动设置			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKknnb.html" rel="bookmark" class="title">java web获取请求体内容</a>
					<div>
						Java Web中如何获取请求体内容呢? 我们知道请求方式分为两种:Get,Post Java代码   /***       * Compatible with GET and POST        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr8Kxz.html" rel="bookmark" class="title">SEO，你必须知道的404页面</a>
					<div>
						404页面对SEO的工作有着非常重要的意义,有的站长可能这样做过:把原本不存在的页面强制返回正常页面,使其数据以及框架正常显示,殊不知,这样的行为真是欲盖弥彰,对搜索引擎是非常不友好的,同时你加深了网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxL7Zb.html" rel="bookmark" class="title">C&num;开发WPF&sol;Silverlight动画及游戏系列教程&lpar;Game Course&rpar;：&lpar;二十五&rpar;</a>
					<div>
						C#开发WPF/Silverlight动画及游戏系列教程(Game Course):(二十五)完美捕捉精灵之神器 -- HitTest 怪物们都出现了,如何选中自己心仪的怪是主角目前首要做的事. 为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw493z.html" rel="bookmark" class="title">通过VB结构数组输入数据VC编写DLL实现图形文件</a>
					<div>
						前言 太多的例子讲如何如何实现VC编写动态链接库,VB中声明后使用,但没有一个好的文章来深入探讨这个问题,本文负责解决此类问题. 1.一般情况 VB中定义为: Private Declare Func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN5rOM.html" rel="bookmark" class="title">阿里云ECS服务器搭建wordpress个人博客网站【详细图文教程】</a>
					<div>
						阿里云ECS服务器搭建wordpress个人博客网站[小白专用的图文教程] 在阿里云上搭建使用个人博客主要分为以下几个步骤: 1.购买阿里云ECS主机 2.购买域名 3.申请备案 4.环境配置 5.安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXvEjp.html" rel="bookmark" class="title">线程的创建</a>
					<div>
						创建一个Java线程常见的有两种方式: 1.继承Thread类 两种表示方法: (1).外部类 import java.util.Date; public class Test1 { public s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAW2GM.html" rel="bookmark" class="title">本期最新 9 篇论文，每一篇都想推荐给你 &vert; PaperDaily &num;14</a>
					<div>
						[ 自然语言处理 ] Word Translation Without Parallel Data @Ttssxuan 推荐 本文贡献: 一种无需平行语料的无监督词翻译方案 缓和 hubness pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NYZNM.html" rel="bookmark" class="title">有关对日框架环境搭建</a>
					<div>
						问题描述 有关对日框架环境搭建 求问 有关o3w框架应用的环境应该怎么搭建,有没有人会?急求					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxdeOb.html" rel="bookmark" class="title">Struts2 Xss 攻击预防的处理</a>
					<div>
						关于XSS问题的处理,此前在博客 http://blog.csdn.net/catoop/article/details/50338259 中写过处理方法.刚好最近朋友有问到&quot;在Struts ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7JDKz.html" rel="bookmark" class="title">手机怎么远程连接电脑桌面</a>
					<div>
						问题描述 手机怎么远程连接电脑桌面 手机和电脑在同一局域网下,电脑远程连接已打开,求各位大神提供好的软件,求解 解决方案 有很多这样的软件,参考http://www.cnblogs.com/QQPar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYqVnp.html" rel="bookmark" class="title">08&period; WebApp2&period;0时代启程：倒立者赢，NativePixi，所见即所得的开发方式</a>
					<div>
						紧接上文,在终端设备中,不管是游戏引擎还是UIKit,图形图像都是基于跨平台的OpenGL ES技术,区分不同的场景,图形图像分为两个分支,一个以高性能的图形显示为目标的cocos2d-x引擎,一个是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRLJ5b.html" rel="bookmark" class="title">Xpath in JavaScript &lpar;第一部分&rpar;</a>
					<div>
						       Xpath现在很少被我们使用,因为JSON现在很盛行.可是在XML做为数据交换格式的年代,Xpath在我们随机访问大的xml文档结构的时候扮演着非常重要的位置.也许大家现在很多没有注意到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRNLjb.html" rel="bookmark" class="title">Cisco将向家庭用户推出较为廉价的高清视频通话方案</a>
					<div>
						思科今天宣布,将针对http://www.aliyun.com/zixun/aggregation/6327.html&quot;&gt;家庭用户推出一个名为Umi的视频会议系统,其对应的企业级产品售 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR1kxb.html" rel="bookmark" class="title">iOS 自定义tabbar时的问题，虚心请假各位前辈</a>
					<div>
						问题描述 iOS 自定义tabbar时的问题,虚心请假各位前辈 5C [self.tabbarView addSubview:button];//button 不显示[self.view addSub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBloqM.html" rel="bookmark" class="title">我IOS集成环信SDK以后，公有群组列表获取不到，为什么？</a>
					<div>
						问题描述 解决方案 你是怎么获取的?什么版本sdk?解决方案二:我是2.1.7的版本:方法一:    [[EaseMob sharedInstance].chatManager asyncFetchA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0YJPM.html" rel="bookmark" class="title">jQuery简单操作cookie的插件实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery操作cookie的插件.分享给大家供大家参考,具体如下: jQuery.cookie = function(name, value, options) { if (typeo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xxmkb.html" rel="bookmark" class="title">部署Selenium Grid &plus; Selenium RC &plus; Webdriver</a>
					<div>
						Grid Hub:Ubuntu12.10_x64(自动化脚本所在的机器,也是selenium server所在的机器) Selenium RC:Windows 7_x32(接收hub的命令并启动浏览器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwE9ZM.html" rel="bookmark" class="title">当无线通信正式成为战略能源：5G时代的蝴蝶振翅</a>
					<div>
						说起5G,你先想起什么? 如果只是想起能让手机速度更快了,那恐怕你的认识还需要更多科普.确实,在2G网络普及到智能手机服务端口后,中国消费者习惯了过几年增加&quot;一个G&quot;的生活模式.觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQVvKp.html" rel="bookmark" class="title">android-Android &colon;  phonegap  配置文件一直报错，不知道什么情况 &lpar;1C别嫌少，全部家产了&rpar;</a>
					<div>
						问题描述 Android : phonegap 配置文件一直报错,不知道什么情况 (1C别嫌少,全部家产了) 解决方案 动态请求权限应该是6.0的吧,你的项目依赖5.0,把项目android版本提高到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ndE0z.html" rel="bookmark" class="title">mysql 服务无法启动-mysqld-nt --verbos 一直出现如下错误&comma;请问怎么解决</a>
					<div>
						问题描述 mysqld-nt --verbos 一直出现如下错误,请问怎么解决 mysqld-nt --verbos 图片说明 解决方案 配置文件被你改了?建议重装					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodo63M.html" rel="bookmark" class="title">徐辉：建站的一些心得</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 接触站长这个行业已经快有两年了,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgvNvM.html" rel="bookmark" class="title">加拿大旅游网站排名</a>
					<div>
						旅游中介排名网站名称域名访问率上周排名1Expedia Canadawww.expedia.ca16.17%12Flight Networkwww.flightnetwork.com5.28%23it ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2WJ5z.html" rel="bookmark" class="title">怎么让自己的网站以&OpenCurlyDoubleQuote;分享&rdquo;留住用户</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多时候一名站长面对网站的流量时哑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOe8Vb.html" rel="bookmark" class="title">可以设定的定时关机的批处理&lowbar;DOS&sol;BAT</a>
					<div>
						批处理定时关机.bat 复制代码 代码如下: @echo off mode con lines=25 title 定时关机 color 1f cls echo. echo. echo. echo. e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZBkJz.html" rel="bookmark" class="title">免费100m&sol;asp&sol;ftp&sol;ads个人网页空间</a>
					<div>
						我们提供一流的网络托管服务是免费的.我们结合了最先进的Windows托管功能,让您完整的灵活性和可靠性为您的网站.以下是一个简短的,我们提供的功能 免费托管的生命 即时启动户口 100MB的网络磁盘空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNA0Qp.html" rel="bookmark" class="title">毛泽东的经典语录（个人喜很欢）</a>
					<div>
						毛泽东简介:    毛泽东,中国革命家.战略家.理论家和诗人,中国共产党.中国人民解放军和中华人民共和国的主要缔造者和领袖,毛泽东思想的主要创立者.字润之(原作咏芝,后改润芝),笔名子任.1893年出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBKG8b.html" rel="bookmark" class="title">环保政策明显落后于公众环保热情</a>
					<div>
						漫画:张兮兮 环保政策明显落后于公众环保热情 90%的消费者愿意为环保产品及服务支付额外费用: 本该令行禁止的超薄塑料袋仍在大量生产.使用 汪东亚 英国RSA保险集团今年10月发布的一项调查报告显示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenXkOb.html" rel="bookmark" class="title">数据中心局部高热处理方案</a>
					<div>
						数据中心虽然有完善的空调系统,常年保持恒温恒湿,但实际上,内部温度分布是不够均衡的.距离空调出风口位置较近位置,温度与空调恒温温度接近,而距离空调稍远位置的温度则与实际空调控制温度有所差异,尤其是一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqOQJb.html" rel="bookmark" class="title">《消费主导中国转型大战略》出版座谈会在北京召开</a>
					<div>
						最近,http://www.aliyun.com/zixun/aggregation/1459.html&quot;&gt;中国(海南)改革发展研究院.中国经济出版社在京联合召开&quot;&lt;消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJxJ6M.html" rel="bookmark" class="title">asp&period;net直接Response输出WML页面示例代码&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: protected void Page_Load(object sender, EventArgs e) { Response.ContentType = &quot;text/ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
